Package org.eclipse.birt.report.model.api.command

# Class PropertyEvent

java.lang.Object
org.eclipse.birt.report.model.api.activity.NotificationEvent
org.eclipse.birt.report.model.api.command.PropertyEvent

public class PropertyEvent extends NotificationEvent
Notification event to send when a property changes. The listener can find out which property changed by calling `getPropertyName()`( ). The listener can get the new property value from the focus object.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`propertyName`
The name of the property that has changed.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, DATA_DESIGN_RELOADED_EVENT, DATA_MART_PROPERTY_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

## Constructor Summary

Constructors
Constructor
Description
`PropertyEvent(org.eclipse.birt.report.model.core.DesignElement target, String propName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getEventType()`
Returns the event type.
`String`
`getPropertyName()`
Returns the name of the property that changed.
`boolean`
`isSame(NotificationEvent event)`
Compares and justifies whether this event and the given event is the same.
`void`
`setPropertyName(String propName)`
Sets the property name.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`getDeliveryPath, getSender, getTarget, setDeliveryPath, setSender, setTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propertyName

protected String propertyName
The name of the property that has changed.

## Constructor Details

### PropertyEvent

public PropertyEvent(org.eclipse.birt.report.model.core.DesignElement target, String propName)
Constructor.

Parameters:
  `target` - the target element.
  `propName` - the name of the changed property.

## Method Details

### getPropertyName

public String getPropertyName()
Returns the name of the property that changed. The name is the internal, non-localized property id.

Returns:
  the property name.

### setPropertyName

public void setPropertyName(String propName)
Sets the property name. Should be called only by the command that created the event.

Parameters:
  `propName` - the propertyName to set.

### getEventType

public int getEventType()
Description copied from class: `NotificationEvent`
Returns the event type. The following event types are defined:

- CONTENT_EVENT
- ELEMENT_DELETE_EVENT
- EXTENDS_EVENT
- NAME_EVENT
- NAME_SPACE_EVENT
- PROPERTY_EVENT
- STYLE_EVENT
- USER_PROP_EVENT
- CUSTOM_MSG_EVENT
- EXTENSION_PROPERTY_DEFINITION_EVENT
- NOTIFICATION_EVENT
- VALIDATION_EVENT
- LIBRARY_EVENT
- ATTRIBUTE_EVENT
- DISPOSE_EVENT
- CONTENT_REPLACE_EVENT
- TEMPLATE_TRANSFORM_EVENT

Specified by:
  `getEventType` in class `NotificationEvent`
Returns:
  the event type.

### isSame

public boolean isSame(NotificationEvent event)
Description copied from class: `NotificationEvent`
Compares and justifies whether this event and the given event is the same.

Overrides:
  `isSame` in class `NotificationEvent`
Parameters:
  `event` - the event to compare
Returns:
  true if the two events are the same, otherwise false